[java-parent-project] branch main updated: JPAR-181 - Use non-defunct key server, parameterise
Ian Young
ian at iay.org.uk
Wed Jul 7 09:50:52 UTC 2021
This is an automated email from the git hooks/post-receive script.
iay pushed a commit to branch main
in repository java-parent-project.
View the commit online:
http://git.shibboleth.net/view/?p=java-parent-project.git;a=commit;h=455050c4b0fef11c3b76d1876ab736b574835a2c
The following commit(s) were added to refs/heads/main by this push:
new 455050c JPAR-181 - Use non-defunct key server, parameterise
455050c is described below
commit 455050c4b0fef11c3b76d1876ab736b574835a2c
Author: Ian Young <ian at iay.org.uk>
AuthorDate: Wed Jul 7 09:49:02 2021 +0000
JPAR-181 - Use non-defunct key server, parameterise
https://issues.shibboleth.net/jira/browse/JPAR-181
---
bin/upload-nexus-dependencies.sh | 22 ++++++++++++++++++++--
1 file changed, 20 insertions(+), 2 deletions(-)
diff --git a/bin/upload-nexus-dependencies.sh b/bin/upload-nexus-dependencies.sh
index 7db53bd..1d34d53 100755
--- a/bin/upload-nexus-dependencies.sh
+++ b/bin/upload-nexus-dependencies.sh
@@ -24,6 +24,24 @@ declare -r RSYNC=${RSYNC:-"/usr/bin/rsync"}
declare -r SHIB_NEXUS_URL="https://build.shibboleth.net/nexus"
declare -r SHIB_NEXUS_HOME="/home/nexus"
+#
+# PGP/GPG Key server to use. These are not in general very stable, so change it
+# if the one we're using either stops working, or doesn't seem to have the keys
+# we expect to see in it.
+#
+# Some options:
+# hkps://pgp.re
+# hkps://keys.openpgp.org (lacks many user IDs, by design)
+#
+# The sks-keyserver pool no longer exists.
+#
+# Note that pgp.mit.edu still runs a per-key UI, but as of 2021-07-06
+# no longer appears to permit key server style access. It's entirely
+# possible that this was turned off to preserve services when the
+# SKS key server pool went away.
+#
+declare -r KEY_SERVER=hkps://pgp.re
+
declare YES_TO_ALL=n
# TODO For Java 7 only
@@ -264,8 +282,8 @@ $ECHO ""
ask y "Validate signatures and retrieve keys automatically" SIGS
if [ $SIGS == "y" ] ; then
- $ECHO "$FIND * -name '*.asc' -exec gpg --keyserver hkp://pool.sks-keyservers.net --keyserver-options "auto-key-retrieve no-include-revoked" --verify {} \; -exec echo "$?" \; 2>&1 | tee ../GPG-VERIFY.txt"
- $FIND * -name '*.asc' -exec gpg --keyserver hkp://pool.sks-keyservers.net --keyserver-options "auto-key-retrieve no-include-revoked" --verify {} \; -exec echo "$?" \; 2>&1 | tee ../GPG-VERIFY.txt
+ $ECHO "$FIND * -name '*.asc' -exec gpg --keyserver $KEY_SERVER --keyserver-options "auto-key-retrieve no-include-revoked" --verify {} \; -exec echo "$?" \; 2>&1 | tee ../GPG-VERIFY.txt"
+ $FIND * -name '*.asc' -exec gpg --keyserver $KEY_SERVER --keyserver-options "auto-key-retrieve no-include-revoked" --verify {} \; -exec echo "$?" \; 2>&1 | tee ../GPG-VERIFY.txt
fi
$ECHO ""
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
More information about the commits
mailing list